# Poco

# class RandomBuf

Library: Foundation
Package: Crypt
Header: Poco/RandomStream.h

## Description

This streambuf generates random data. On Windows NT, the cryptographic API is used. On Unix, /dev/random is used, if available. Otherwise, a random number generator, some more-or-less random data and a SHA-1 digest is used to generate random data.

## Inheritance

Direct Base Classes: BufferedStreamBuf

All Base Classes: BufferedStreamBuf

## Member Summary

Member Functions: readFromDevice

## Constructors

### RandomBuf

RandomBuf();

## Destructor

### ~RandomBuf

~RandomBuf();

## Member Functions

### readFromDevice

int readFromDevice(
char * buffer,
std::streamsize length
);